×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    Jan 2006
    Posts
    19

    Compability between OS versions?

    I'm new to Symbian and I'm almost ashamed to ask this: Do programs written with SDK 3.0 (intended for OS version 9.1) work in phones with OS version 7.0? I scoured the web to find an answer without success.

    The reason I'm asking is that I can't establish a network connection in sdk 2.2 emulator and it just does not work (nothing gets out of emulator, I installed a network sniffer to convince myself). I'm pretty sure that I followed all the instructions correctly. In sdk 3.0 network works with no problems. If the question in the previous paragraph is no I'll have to get back at this.
    Last edited by mmikkone; 2006-01-19 at 07:02.

  2. #2
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,569

    Re: Compability between OS versions?

    No, there's a binary break (different compilers, different instruction set).

    So, if you want to target earlier versions than Symbian 9, you need to make different binaries (and different source code to some degree) than for Symbian 9 and later.

  3. #3
    Registered User
    Join Date
    Jan 2006
    Posts
    19

    Re: Compability between OS versions?

    OK, thank you. I'll try installing sdk 2.2 on different machine and see if the problem is just in something in my computers setup.
    Last edited by mmikkone; 2006-01-19 at 07:02.

Similar Threads

  1. Codewarrior Versions!!!
    By Priju Jacob Paul in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 1
    Last Post: 2006-01-09, 16:03
  2. future versions of S60 SDK
    By random in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2002-07-11, 05:15
  3. Nokia software versions and SMS compatibility
    By cricketman in forum General Messaging
    Replies: 2
    Last Post: 2002-06-21, 20:37

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×